> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zavu.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Contact Messages

> Share contact information via WhatsApp

Share contact cards with users so they can easily save contact information.

## Send a Contact

<CodeGroup>
  ```typescript TypeScript theme={null}
  const message = await zavu.messages.send({
    to: "+14155551234",
    channel: "whatsapp",
    messageType: "contact",
    content: {
      contacts: [
        {
          name: "John Doe",
          phones: ["+1234567890"]
        }
      ]
    }
  });
  ```

  ```python Python theme={null}
  message = zavu.messages.send(
      to="+14155551234",
      channel="whatsapp",
      message_type="contact",
      content={
          "contacts": [
              {
                  "name": "John Doe",
                  "phones": ["+1234567890"]
              }
          ]
      }
  )
  ```

  ```ruby Ruby theme={null}
  message = client.messages.send(
    to: "+14155551234",
    channel: "whatsapp",
    message_type: "contact",
    content: {
      contacts: [
        {
          name: "John Doe",
          phones: ["+1234567890"]
        }
      ]
    }
  )
  ```

  ```go Go theme={null}
  message, err := client.Messages.Send(context.TODO(), zavudev.MessageSendParams{
      To:          zavudev.String("+14155551234"),
      Channel:     zavudev.String("whatsapp"),
      MessageType: zavudev.String("contact"),
      Content: &zavudev.MessageContentParams{
          Contacts: []zavudev.ContactParams{
              {
                  Name:   zavudev.String("John Doe"),
                  Phones: []string{"+1234567890"},
              },
          },
      },
  })
  ```

  ```php PHP theme={null}
  $message = $client->messages->send([
      'to' => '+14155551234',
      'channel' => 'whatsapp',
      'messageType' => 'contact',
      'content' => [
          'contacts' => [
              [
                  'name' => 'John Doe',
                  'phones' => ['+1234567890'],
              ],
          ],
      ],
  ]);
  ```

  ```bash cURL theme={null}
  curl -X POST https://api.zavu.dev/v1/messages \
    -H "Authorization: Bearer zv_live_xxx" \
    -H "Content-Type: application/json" \
    -d '{
      "to": "+14155551234",
      "channel": "whatsapp",
      "messageType": "contact",
      "content": {
        "contacts": [
          {
            "name": "John Doe",
            "phones": ["+1234567890"]
          }
        ]
      }
    }'
  ```
</CodeGroup>

## Multiple Phone Numbers

Share a contact with multiple phone numbers:

```json theme={null}
{
  "to": "+14155551234",
  "channel": "whatsapp",
  "messageType": "contact",
  "content": {
    "contacts": [
      {
        "name": "Support Team",
        "phones": ["+1234567890", "+0987654321"]
      }
    ]
  }
}
```

## Multiple Contacts

Share multiple contacts in a single message:

```json theme={null}
{
  "to": "+14155551234",
  "channel": "whatsapp",
  "messageType": "contact",
  "content": {
    "contacts": [
      {
        "name": "Sales Team",
        "phones": ["+1234567890"]
      },
      {
        "name": "Support Team",
        "phones": ["+0987654321"]
      }
    ]
  }
}
```

## Specifications

| Property | Requirement                      |
| -------- | -------------------------------- |
| name     | Required                         |
| phones   | Required, array of phone numbers |

## Use Cases

* Share support contact details
* Send sales representative info
* Provide emergency contacts
* Share team member details
